[Overview][Types][Classes][Index] | Reference for unit 'resdatastream' (#fcl-res)

# TCachedResourceDataStream

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

An implementation of a cached stream

## Declaration

Source position: resdatastream.pp line 45

`type TCachedResourceDataStream = class(TCachedDataStream)`
`public`
`constructor Create(); override;`
`function Read(); override;`
`end;`

## Inheritance

`TCachedResourceDataStream` |  | An implementation of a cached stream
`TCachedDataStream` |  | Base cached stream class
`TStream`
`TObject`

## Description

This class provides an implementation of TCachedDataStream.

Usually resource readers create a TResourceDataStream with a TCachedResourceDataStream as the underlying stream.

## See also

TCachedDataStream |  | Base cached stream class
TResourceDataStream |  | Stream class that provides copy-on-write functionality